const LFREQUENCY 	= 5000;	// Check ping, FPS every 5 seconds.
const HFREQUENCY	= 50;	// Check Speed every 0.5 second.
local lastLowCheck  = 0;
local lastHighCheck = 0;
local lastPos	 	= 0;
local lastV			= null;
local speed			= 0;

function Script::ScriptProcess()
{
	try
	{
		local ticks = Script.GetTicks();
		
		if( ticks - lastLowCheck > LFREQUENCY )
		{
			LowFrequency();
			lastLowCheck = ticks;
		}
		
		lastPos = World.FindLocalPlayer().Position.X;
	}
	catch(e)
		Console.Print("[#B60000]An error occurred at Script::ScriptProcess(): " + e + ". Please contact a developer.");
}

function LowFrequency()
{
	try
	{
		if( ::message )
		{
			::message.Clean();
			::message = null;
		}
		
		if( lastPos != World.FindLocalPlayer().Position.X )
		{
			local stream = Stream();
			stream.WriteByte(StreamType.FREQUENCYCHECK);
			Server.SendData(stream);
		}
	}
	catch(e)
		Console.Print("[#B60000]An error occurred at LowFrequency(): " + e + ". Please contact a developer.");
}