local SCORE_X	= sX/20;
local SCORE_Y	= sY-50;
local SPLIT_Y	= 27;

class CScore
{
	cubans		= 0;
	haitians	= 0;
	
	labelC		= null;
	labelH		= null;
	
	constructor(cubans, haitians)
	{
		try
		{
			this.cubans 	= cubans;
			this.haitians	= haitians;
			
			this.CubanLabel();
			this.HaitianLabel();
		}
		catch(e)
			::Console.Print("[#B60000]An error occurred at CScore::constructor(): " + e + ". Please contact a developer.");
	}
	
	function CubanLabel()
	{
		try
		{
			local 	x = SCORE_X,
					y = SCORE_Y;
					
			this.labelC	= ::GUILabel( ::VectorScreen( x, y ), Colour(230,200,15), "Cubans: " + this.cubans );
			
			this.labelC.FontSize 		= 12;
			this.labelC.FontFlags     	= GUI_FFLAG_OUTLINE | GUI_FFLAG_BOLD;
			this.labelC.TextAlignment 	= GUI_ALIGN_LEFT;
			this.labelC.SendToTop();
		}
		catch(e)
			::Console.Print("[#B60000]An error occurred at CScore::CubanLabel(): " + e + ". Please contact a developer.");
	}
	
	function HaitianLabel()
	{
		try
		{
			local 	x = SCORE_X,
					y = SCORE_Y + SPLIT_Y;
					
			this.labelH = ::GUILabel( ::VectorScreen( x, y ), Colour(200,100,230), "Haitians: " + this.haitians );
			
			this.labelH.FontSize 		= 12;
			this.labelH.FontFlags     	= GUI_FFLAG_OUTLINE | GUI_FFLAG_BOLD;
			this.labelH.TextAlignment 	= GUI_ALIGN_LEFT;
			this.labelH.SendToTop();
		}
		catch(e)
			::Console.Print("[#B60000]An error occurred at CScore::HaitianLabel(): " + e + ". Please contact a developer.");
	}
	
	function Update( cubans, haitians )
	{
		try
		{
			this.cubans			= cubans;
			this.haitians		= haitians;
			this.labelH.Text 	= "Cubans: " + this.cubans;
			this.labelC.Text 	= "Haitians: " + this.haitians;
		}
		catch(e)
			::Console.Print("[#B60000]An error occurred at CScore::Update(): " + e + ". Please contact a developer.");
	}
	
	function Clean()
	{
		try
		{
			this.labelH = null;
			this.labelC = null;
		}
		catch(e)
			::Console.Print("[#B60000]An error occurred at CScore::Clean(): " + e + ". Please contact a developer.");
	}
}